Summary: Spell checker
Name: aspell
Version: 0.60.8
Release: 1
Epoch: 12
License: LGPLv2+ and LGPLv2 and GPLv2+ and BSD
URL: http://aspell.net/
Source: https://github.com/GNUAspell/aspell/archive/refs/tags/aspell-rel-%{version}.tar.gz

Patch1: aspell-0.60.8-pspell_conf.patch

BuildRequires: gcc-c++
BuildRequires: chrpath, gettext, ncurses-devel, pkgconfig, perl-interpreter
BuildRequires: make, gettext-devel, libtool,  texinfo

%description
GNU Aspell is a spell checker designed to eventually replace Ispell. It can
either be used as a library or as an independent spell checker. Its main
feature is that it does a much better job of coming up with possible
suggestions than just about any other spell checker out there for the
English language, including Ispell and Microsoft Word. It also has many
other technical enhancements over Ispell such as using shared memory for
dictionaries and intelligently handling personal dictionaries when more
than one Aspell process is open at once.

%package devel
Summary: Libraries and header files for Aspell development
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: pkgconfig

%description devel
The aspell-devel package includes libraries
and header files needed for Aspell development.


%package help
Summary:  Introduce how to use aspell

%description help
User's Manual for aspell

%prep
%setup -q
./autogen
%patch1 -p1 -b .mlib

%build
%configure --disable-rpath
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
%make_build
cp scripts/aspell-import examples/aspell-import
chmod 644 examples/aspell-import
cp manual/aspell-import.1 examples/aspell-import.1

%install
%make_install

mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60

mv ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60/ispell ${RPM_BUILD_ROOT}%{_bindir}
mv ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60/spell ${RPM_BUILD_ROOT}%{_bindir}

chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//nroff-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//sgml-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//context-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//email-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//tex-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//texinfo-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60//markdown-filter.so
chrpath --delete ${RPM_BUILD_ROOT}%{_bindir}/aspell
chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/libpspell.so.*

rm -f ${RPM_BUILD_ROOT}%{_libdir}/libaspell.la
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libpspell.la
rm -f ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60/*-filter.la
rm -f ${RPM_BUILD_ROOT}%{_bindir}/aspell-import
rm -f ${RPM_BUILD_ROOT}%{_mandir}/man1/aspell-import.1
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

%find_lang %{name}


%check
make check


%files -f %{name}.lang
%doc TODO COPYING examples/aspell-import examples/aspell-import.1
%dir %{_libdir}/aspell-0.60
%{_bindir}/a*
%{_bindir}/ispell
%{_bindir}/pr*
%{_bindir}/run-with-aspell
%{_bindir}/spell
%{_bindir}/word-list-compress
%{_libdir}/lib*.so.*
%{_libdir}/aspell-0.60/*
%{_infodir}/aspell.*
%exclude %{_libdir}/libaspell.la
%exclude %{_libdir}/libpspell.la
%exclude %{_libdir}/aspell-0.60/*-filter.la
%exclude %{_bindir}/aspell-import


%files devel
%dir %{_includedir}/pspell
%{_bindir}/pspell-config
%{_includedir}/aspell.h
%{_includedir}/pspell/pspell.h
%{_libdir}/lib*spell.so
%{_libdir}/pkgconfig/*
%{_infodir}/aspell-dev.*


%files help
%doc  TODO
%{_mandir}/man1/aspell.1.*
%{_mandir}/man1/run-with-aspell.1*
%{_mandir}/man1/word-list-compress.1*
%{_mandir}/man1/prezip-bin.1.*
%{_mandir}/man1/pspell-config.1*

%changelog
* Sun Nov 6 2022 huyab<1229981468@qq.com> - 12:0.60.8-1
- update version to 0.60.8-1

* Thu Jul 28 2022 wuzx<wuzx1226@qq.com> - 12:0.60.6.1-30
- add sw64 patch

* Tue Sep 28 2021 yaoxin<yaoxin30@huawei.com> - 12:0.60.6.1-29
- fix CVE-2019-20433

* Thu Sep 23 2021 liwu<liwu13@huawei.com> - 12:0.60.6.1-28
- fix CVE-2019-25051

* Thu Jul 27 2021 houyingchao<houyingchao@huawei.com> - 12:0.60.6.1-27
- fix CVE-2019-17544

* Thu Dec 24 2020 Ge Wang<wangge20@huawei.com> - 12:0.60.6.1-26
- Modify Source0 url
 
* Wed Nov 27 2019 yangjian<yangjian79@huawei.com> - 12:0.60.6.1-25
- Package init
